import { Document, Key, Keys } from '../types';
import { TermsAggregation } from './get-terms';
import { HistogramAggregation } from './get-histogram';
import { DateHistogramAggregation } from '.';
export type AfterKey<TDocument extends Document> = {
    [TKey in Key<TDocument>]?: Keys<TDocument>[TKey];
};
export type CompositeAggregationList<TDocument extends Document> = TermsAggregation<TDocument> | HistogramAggregation<TDocument> | DateHistogramAggregation<TDocument>;
export type CompositeAggregationOptions<TDocument extends Document> = {
    size?: number;
    after?: AfterKey<TDocument>;
};
export type CompositeAggregationBody<TDocument extends Document> = CompositeAggregationOptions<TDocument> & {
    sources: Array<CompositeAggregationList<TDocument>>;
};
export type CompositeAggregation<TDocument extends Document> = {
    composite: CompositeAggregationBody<TDocument>;
};
export declare const getCompositeAggregation: <TDocument extends Document>(sources: CompositeAggregationList<TDocument>[], options?: CompositeAggregationOptions<TDocument> | undefined) => CompositeAggregation<TDocument>;
