import type { RequestParams } from '@elastic/elasticsearch';
import { Document } from '../types';
import { BoolQuery } from '../queries';
import { Aggregations } from '../aggregations';
export type SearchRequest<TDocument extends Document, TAggregationsBody extends Record<string, Aggregations<TDocument>>> = {
    size?: number;
    from?: number;
    query?: BoolQuery<TDocument>;
    aggregations?: TAggregationsBody;
};
export declare const getSearchRequest: <TDocument extends Document, TAggregationsBody extends Record<string, Aggregations<TDocument>>>(index: string, options?: SearchRequest<TDocument, TAggregationsBody> | undefined) => RequestParams.Search<Record<string, any>>;
