import type { estypes, ApiResponse } from '@elastic/elasticsearch';
import { ClassConstructor, Document } from '../types';
import { Aggregations, AggregationsBody } from '../aggregations';
export type ElasticsearchResult<TDocument extends Document, TAggregationsBody extends Record<string, Aggregations<TDocument>>> = {
    hits: estypes.HitsMetadata<TDocument>;
    aggregations?: AggregationsBody<TDocument, TAggregationsBody>;
};
export type SearchResponse<TDocument extends Document, TAggregationsBody extends Record<string, Aggregations<TDocument>>> = {
    documents: Array<TDocument>;
    aggregations: Record<string, any>;
};
export declare const getSearchResponse: <TDocument extends Document, TAggregationsBody extends Record<string, Aggregations<TDocument>>>(document: ClassConstructor<TDocument>, { body }: ApiResponse<ElasticsearchResult<TDocument, TAggregationsBody>, unknown>) => SearchResponse<TDocument, TAggregationsBody>;
