import { Key } from './';
import { Order } from '../enums';
import { SearchRequest } from '../requests';
import { SearchResponse } from '../responses';
import { Aggregations } from '../aggregations';
import { Document } from './common';
export type ElasticsearchIndex<TDocument extends Document> = {
    search: <TAggregationsBody extends Record<string, Aggregations<TDocument>>>(options?: SearchRequest<TDocument, TAggregationsBody>) => Promise<SearchResponse<TDocument, TAggregationsBody>>;
};
export type AggregationRange = {
    from?: number;
    to?: number;
};
export type Sort<TDocument extends Document> = {
    [X in Key<TDocument>]?: {
        order: Order;
    };
};
