import { ElasticsearchService as ElasticsearchBaseService } from '@nestjs/elasticsearch';
import { ClassConstructor, Document } from '../lib/types';
import { AggregationList } from '../lib/aggregations';
import { SearchRequest } from '../lib/requests';
import { Index } from './injectables';
export declare class ElasticsearchService {
    private readonly elasticsearchBaseService;
    constructor(elasticsearchBaseService: ElasticsearchBaseService);
    search<TDocument extends Document, TAggregationsBody extends Record<string, AggregationList<TDocument>>>(document: ClassConstructor<TDocument>, options?: SearchRequest<TDocument, TAggregationsBody>): Promise<import("../lib/responses").SearchResponse<TDocument, TAggregationsBody>>;
    getIndex<TDocument extends Document>(document: ClassConstructor<TDocument>): Index<TDocument>;
}
