import { ClassConstructor, Document, ElasticsearchIndex } from '../../lib/types';
import { Aggregations } from '../../lib/aggregations';
import { SearchRequest } from '../../lib/requests';
import { ElasticsearchService } from '../elasticsearch.service';
export declare class Index<TDocument extends Document> implements ElasticsearchIndex<TDocument> {
    private readonly service;
    private readonly document;
    constructor(service: ElasticsearchService, document: ClassConstructor<TDocument>);
    search<TAggregationsBody extends Record<string, Aggregations<TDocument>>>(options?: SearchRequest<TDocument, TAggregationsBody>): Promise<import("../../lib/responses").SearchResponse<TDocument, TAggregationsBody>>;
}
